/*---------------------------------------------------------------------------------
 * General string routines that are sometimes missing.
 *
 * Filename:    missing.h 
 * Author:      Randall Gellens.
 * Version:     
 * Last edited: 2 November 1998
 *---------------------------------------------------------------------------------
 */

#include <stddef.h>


int mem_cmp(const char *s1, const char *s2, int n);
int str_comp(const char *string1, const char *string2);
int str_comp_len(const char *string1, const char *string2, size_t count);
